//
// ClassifyReso200ResponseValueInnerMediaInner.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ClassifyReso200ResponseValueInnerMediaInner: Codable, JSONEncodable, Hashable {

    public var mediaCategory: String?
    public var mediaURL: String?
    public var mediaKey: String?
    public var mediaModificationTimestamp: Date?
    public var mediaOf: String?

    public init(mediaCategory: String? = nil, mediaURL: String? = nil, mediaKey: String? = nil, mediaModificationTimestamp: Date? = nil, mediaOf: String? = nil) {
        self.mediaCategory = mediaCategory
        self.mediaURL = mediaURL
        self.mediaKey = mediaKey
        self.mediaModificationTimestamp = mediaModificationTimestamp
        self.mediaOf = mediaOf
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case mediaCategory = "MediaCategory"
        case mediaURL = "MediaURL"
        case mediaKey = "MediaKey"
        case mediaModificationTimestamp = "MediaModificationTimestamp"
        case mediaOf = "MediaOf"
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(mediaCategory, forKey: .mediaCategory)
        try container.encodeIfPresent(mediaURL, forKey: .mediaURL)
        try container.encodeIfPresent(mediaKey, forKey: .mediaKey)
        try container.encodeIfPresent(mediaModificationTimestamp, forKey: .mediaModificationTimestamp)
        try container.encodeIfPresent(mediaOf, forKey: .mediaOf)
    }
}

